Gentoo Archives: gentoo-commits

From: Kent Fredric <kentfredric@×××××.com>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/DateTime-TimeZone-Tzfile/
Date: Tue, 05 Apr 2011 18:17:17
Message-Id: edf3889c4686e5214677f9b6575afb3557b4aecf.kent@gentoo
commit:     edf3889c4686e5214677f9b6575afb3557b4aecf
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Apr  5 14:31:39 2011 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Tue Apr  5 14:31:39 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=edf3889c

[newversion] DateTime-TimeZone-Tzfile-0.5.0

(Portage version: 2.2.0_alpha29/git/Linux x86_64, signed Manifest commit with key 0A0CB301)

---
 dev-perl/DateTime-TimeZone-Tzfile/ChangeLog        |    6 +++
 .../DateTime-TimeZone-Tzfile-0.5.0.ebuild          |   44 ++++++++++++++++++++
 2 files changed, 50 insertions(+), 0 deletions(-)

diff --git a/dev-perl/DateTime-TimeZone-Tzfile/ChangeLog b/dev-perl/DateTime-TimeZone-Tzfile/ChangeLog
index bca8991..3e66bb6 100644
--- a/dev-perl/DateTime-TimeZone-Tzfile/ChangeLog
+++ b/dev-perl/DateTime-TimeZone-Tzfile/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*DateTime-TimeZone-Tzfile-0.5.0 (05 Apr 2011)
+
+  05 Apr 2011; Kent Fredric <kentfredric@×××××.com>
+  +DateTime-TimeZone-Tzfile-0.5.0.ebuild:
+  Bump
+
 *DateTime-TimeZone-Tzfile-0.4.0 (22 Mar 2011)
 
   22 Mar 2011; Kent Fredric <kentfredric@×××××.com>

diff --git a/dev-perl/DateTime-TimeZone-Tzfile/DateTime-TimeZone-Tzfile-0.5.0.ebuild b/dev-perl/DateTime-TimeZone-Tzfile/DateTime-TimeZone-Tzfile-0.5.0.ebuild
new file mode 100644
index 0000000..61a042f
--- /dev/null
+++ b/dev-perl/DateTime-TimeZone-Tzfile/DateTime-TimeZone-Tzfile-0.5.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=ZEFRAM
+MODULE_VERSION=0.005
+inherit perl-module
+
+DESCRIPTION="tzfile (zoneinfo) timezone files"
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+comment() { echo ''; }
+COMMON_DEPEND="
+	$(comment CORE Carp)
+	>=dev-perl/DateTime-TimeZone-SystemV-0.2.0
+	>=virtual/perl-IO-1.13 $(comment 1.80.0) $(comment IO::File IO::Handle)
+	$(comment CORE constant)
+	$(comment CORE integer)
+	>=dev-lang/perl-5.6.0
+	$(comment CORE strict)
+	$(comment CORE warnings)
+"
+DEPEND="
+	${COMMON_DEPEND}
+	$(comment BUILD REQUIRES)
+	>=virtual/perl-IO-1.13 $(comment 1.30.0) $(comment IO::File)
+	virtual/perl-Module-Build
+	virtual/perl-Test-Simple
+	>=dev-lang/perl-5.6.0
+	$(comment CORE strict)
+	$(comment CORE warnings)
+
+	$(comment CONFIGURE REQUIRES)
+	virtual/perl-Module-Build
+	>=dev-lang/perl-5.6.0
+	$(comment CORE strict)
+	$(comment CORE warnings)
+"
+RDEPEND="
+	${COMMON_DEPEND}
+"
+SRC_TEST="do"